{% extends "customers/base.html" %}
{% load i18n %}
{% load staticfiles %}
{% load active_tag %}
{% load md2 %}

{% block title %}Reportes Personalizados{% endblock %}

{% block pagelevelcss %}
<link href="{% static 'theme/plugins/c3/c3.min.css' %}" rel="stylesheet" type="text/css">
{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item active">Reportes Personalizado</li>
	</ol>
<!-- end breadcrumb -->
<!-- begin page-header -->
<h1 class="page-header">Reportese Personalizados</h1>
<!-- end page-header -->
<!-- begin row -->
<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="table-basic-1">
				<!-- begin panel-heading -->
				<div class="panel-heading">
					<h4 class="panel-title">Reportes Personalizados</h4>
					<div class="panel-heading-btn">
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<div class="panel-body">
    				<div id="payments-app">
						<div class="row mb-3">
							<div class="col-sm-12 col-md-6">
								<h5 class="text-muted">Seleccione Reporte:</h5>
								<p>
									<label>Estado:</label>
									<v-select v-model="selectedStatus" :options="statusOptions"></v-select>
								</p>
							</div>
    					</div> 
    					<!-- end row -->
					</div>
					<!-- payments-app -->
				</div>
				<!-- end panel-body -->
			
			</div>
			<!-- end panel -->
		</div>
		<!-- end colum -->
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
	  

{% endblock %}
 

{% block pageleveljs %}
<script type="text/javascript">
    //active menu
    document.getElementById("reports_menu").classList.add("active");
    //active submenu item
    document.getElementById("countreport_item").classList.add("active");
</script>

<script src="{% static 'js/vue' %}"></script>
    <script src="{% static 'js/vue-resource' %}"></script>
    <script src="{% static 'js/vue-select' %}"></script>
    <script src="{% static 'js/lodash.min.js' %}"></script>

<script>
    get = function(obj, key) {
	return key.split(".").reduce(function(o, x) {
	    return (typeof o == "undefined" || o === null) ? o : o[x];
	}, obj);
    }

  Vue.component('v-select', VueSelect.VueSelect);

  // Register a global custom directive called v-focus
  Vue.directive('focus', {
  // When the bound element is inserted into the DOM...
  inserted: function (el) {
  // Focus the element
  el.focus()
    
  }
  
  })

  var payments_app = new Vue({
      el: '#payments-app',
      data: {
          message: null,
	  statusOptions: [{% for report in reports %}{value: {{ report.0 }}, label: "{{ report.1 }}"},{% endfor %}],
	  selectedStatus: {value: 0, label: "Nuevo"},
      },
      filters: {
	  clp: function(value) {
	      return '$'+value;
	  },
	  thousand: function(value){
	      if (value) {
		  return value.toLocaleString('es-CL');
	      } else {
		  return 0;
	      }
	  }
      },
      watch: {
	  initiald: function(newInitialD) {
	      if (newInitialD) {
		  this.message = 'Refrescando datos...';
	      }
	      this.refreshData();
	  },
	  finald: function(newFinalD) {
	      if (newFinalD) {
		  this.message = 'Refrescando datos...';
	      }
	      this.refreshData();
	  },
	  selectedStatus: function(newStatus) {
	      if (newStatus) {
		  this.message = 'Refrescando datos...';
	      }
	      this.refreshData();
	  },
      },
      mounted: function () {
	  this.refreshData();
      },
      methods: {
	  refreshData: _.debounce(
	      function() {
		  this.$http.get('/customers/count-table-ajax/'+'?'+'initiald='+this.initiald+'&finald='+this.finald+'&status='+get(this.selectedStatus, 'value')).then(response => {
		      this.initial_count = response.body.data.initial_count;
		      this.final_count = response.body.data.final_count;
		      this.message = null;
		  });
	      },
	      300
	  )
      }
  })

</script>

{% endblock %}
